> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1voiceagents



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/voice/agents/{agent}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/{agent}:
    put:
      tags:
        - Agents
      operationId: voice.agents.update
      parameters:
        - name: agent
          in: path
          required: true
          description: The agent ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`AgentMetaDataRequest`'
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentMetaDataRequest'
      responses:
        '200':
          description: '`AgentResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AgentResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                        example: Failed to update agent
                    required:
                      - message
                  - type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
components:
  schemas:
    AgentMetaDataRequest:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        greeting_message:
          type:
            - string
            - 'null'
        prompt:
          type:
            - string
            - 'null'
        tools:
          type:
            - array
            - 'null'
          items:
            type: string
        post_processing_agents:
          type:
            - array
            - 'null'
          items:
            type: string
        variables:
          type:
            - array
            - 'null'
          items:
            type: string
        voice_id:
          type:
            - string
            - 'null'
        voice_name:
          type:
            - string
            - 'null'
        gpt_model_id:
          type:
            - string
            - 'null'
        language:
          type:
            - string
            - 'null'
          default: multi
        time_limit:
          type: integer
          default: 120
          minimum: 1
        start_with_greeting:
          type: boolean
          default: false
        millis_sip_endpoint:
          type:
            - string
            - 'null'
        voice_speed:
          type: number
          default: 1
          minimum: 0
          maximum: 2
        voice_volume:
          type: number
          default: 1
          minimum: 0
          maximum: 2
        background_noise:
          type: boolean
          default: false
        suggestion_reason:
          type:
            - string
            - 'null'
        provider:
          type: string
          default: openai
        model:
          type: string
          default: gpt-4o
        voice_provider:
          type: string
          default: vapi
        voice_model:
          type:
            - string
            - 'null'
          default: eleven_turbo_v2
        agent_description:
          type:
            - string
            - 'null'
        silence_timeout_seconds:
          type: integer
          default: 15
          minimum: 1
          maximum: 3600
        voice_mail_detection:
          type: boolean
          default: true
        speaking_plan_num_words:
          type: integer
          default: 3
          minimum: 1
          maximum: 10
        allow_interruptions:
          type:
            - boolean
            - 'null'
        pixel_is_lead:
          type: boolean
          default: false
        pixel_is_sale:
          type: boolean
          default: false
        pixel_sale_amount:
          type: integer
          default: 0
      title: AgentMetaDataRequest
    AgentResource:
      type: object
      properties:
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        id:
          type: string
        name:
          type: string
        meta:
          $ref: '#/components/schemas/AgentMetaData'
        default_voice:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
              example: Eric
          required:
            - id
            - name
        prompts:
          type: array
          items:
            $ref: '#/components/schemas/AgentPromptResource'
        team_id:
          type: string
      required:
        - created_at
        - updated_at
        - id
        - name
        - meta
        - default_voice
        - prompts
        - team_id
      title: AgentResource
    AgentMetaData:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        greeting_message:
          type:
            - string
            - 'null'
        prompt:
          type:
            - string
            - 'null'
        tools:
          type:
            - array
            - 'null'
          items:
            type: string
        post_processing_agents:
          type:
            - array
            - 'null'
          items:
            type: string
        variables:
          type:
            - array
            - 'null'
          items:
            type: string
        voice_id:
          type:
            - string
            - 'null'
        voice_name:
          type:
            - string
            - 'null'
        gpt_model_id:
          type:
            - string
            - 'null'
        language:
          type:
            - string
            - 'null'
          default: multi
        time_limit:
          type: integer
          default: 120
          minimum: 1
        start_with_greeting:
          type: boolean
          default: false
        millis_sip_endpoint:
          type:
            - string
            - 'null'
        voice_speed:
          type: number
          default: 1
          minimum: 0
          maximum: 2
        voice_volume:
          type: number
          default: 1
          minimum: 0
          maximum: 2
        background_noise:
          type: boolean
          default: false
        suggestion_reason:
          type:
            - string
            - 'null'
        provider:
          type: string
          default: openai
        model:
          type: string
          default: gpt-4o
        voice_provider:
          type: string
          default: vapi
        voice_model:
          type:
            - string
            - 'null'
          default: eleven_turbo_v2
        agent_description:
          type:
            - string
            - 'null'
        silence_timeout_seconds:
          type: integer
          default: 15
          minimum: 1
          maximum: 3600
        voice_mail_detection:
          type: boolean
          default: true
        speaking_plan_num_words:
          type: integer
          default: 3
          minimum: 1
          maximum: 10
        allow_interruptions:
          type:
            - boolean
            - 'null'
        pixel_is_lead:
          type: boolean
          default: false
        pixel_is_sale:
          type: boolean
          default: false
        pixel_sale_amount:
          type: integer
          default: 0
      required:
        - name
        - greeting_message
        - prompt
        - tools
        - post_processing_agents
        - variables
        - voice_id
        - voice_name
        - gpt_model_id
        - language
        - time_limit
        - start_with_greeting
        - millis_sip_endpoint
        - voice_speed
        - voice_volume
        - background_noise
        - suggestion_reason
        - provider
        - model
        - voice_provider
        - voice_model
        - agent_description
        - silence_timeout_seconds
        - voice_mail_detection
        - speaking_plan_num_words
        - allow_interruptions
        - pixel_is_lead
        - pixel_is_sale
        - pixel_sale_amount
      title: AgentMetaData
    AgentPromptResource:
      type: object
      properties:
        id:
          type: string
        agent_id:
          type: string
        welcome_message:
          type: string
        prompt:
          type:
            - string
            - 'null'
        voice_id:
          type:
            - string
            - 'null'
        voice_name:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - agent_id
        - welcome_message
        - prompt
        - voice_id
        - voice_name
        - created_at
      title: AgentPromptResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````